# -*- coding: utf-8 -*-
from Plugins.Bp.geminimain.gLocale import _
from Plugins.Plugin import PluginDescriptor
	
#------------------------------------------------------------------------------------

def main(session, **kwargs):
	from bootlogo import ConfigBootlogo
	session.open(ConfigBootlogo)

#------------------------------------------------------------------------------------

def check_bootlogo(reason, **kwargs):
	if reason:
		from Tools.Directories import copyfile
		from Plugins.Bp.geminimain.gTools import pathExists
		from bootlogo import BOOT_LOGO, RADIO_LOGO, GP_BOOT_LOGO, GP_RADIO_LOGO
		print "[geminibootlogo] checking bootlogo..."
		if pathExists(GP_BOOT_LOGO):
			print "[geminibootlogo] %s found" %GP_BOOT_LOGO
			copyfile(GP_BOOT_LOGO, BOOT_LOGO)
		else:
			print "[geminibootlogo] %s not found" %GP_BOOT_LOGO
		if pathExists(GP_RADIO_LOGO):
			print "[geminibootlogo] %s found" %GP_RADIO_LOGO
			copyfile(GP_RADIO_LOGO, RADIO_LOGO)
		else:
			print "[geminibootlogo] %s not found" %GP_RADIO_LOGO

#------------------------------------------------------------------------------------

def Plugins(**kwargs):
	return [
		PluginDescriptor(name=_("Setup Bootlogo"),
			description=_("Setup Bootlogo for your Dreambox"),
			where = PluginDescriptor.WHERE_EXTENSIONSMENU,
			fnc=main,
			icon="icon_bootlogo.png"),
		PluginDescriptor(where=PluginDescriptor.WHERE_AUTOSTART,
			fnc=check_bootlogo)
		]
